Get Custom Attribute

This API Used to get custom attribute associated with the specified event.
API used at host side event admin and super admin can access this API. It will return response like attributeType, atrributeName, enabledForTicketHolder, eventTicketTypeId and many more.
To call this API, user have to pass query param with API URL like isForBuyer, attributeId and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

It will return a success message if API execute successfully.

AttributeDescription
attributeTypeIt's contains the attribute value type, e.g. DROPDOWN, TEXT, PASSWORD, NUMBER, EMAIL, DATE, IMAGE, BILLING_ADDRESS, UPLOAD, COUNTRY, SHIPPING_ADDRESS, MULTIPLE_CHOICE etc.
atrributeNameIt will return the attribute name.
isAttributeIt will return true then is attribute otherwise is not attribute.
enabledForTicketHolderIt will return true or false then enabled for ticketing holder attribute.
requiredForTicketHolderIt will return true or false then required for ticket holder attribute.
enabledForTicketPurchaserIt will return true or false then enabled for ticketing purchaser data.
requiredForTicketPurchaserIt will return true or false then required for ticketing purchaser.
defaultValueIt's contains the default value for attribute.
eventTicketTypeIdThe eventTicketTypeId returns unique value associated with event ticket type.
hiddenForPurchaserIt will return true or false then hidden for purchaser attribute.
hiddenForHolderIt will return true or false then hidden for holder attribute.
dataTypeIt will return the data type like TICKET or ADDON.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200Successfully retrived Custom Attribute.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host.
4060902Attribute Not exists.
Path Params
int64
required

User pass the custom attribute id.

string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
boolean

User pass the true or false value for buyer attribute.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json